Name:    dput-ng
Version: 1.11
Release: 3%{?dist}

Summary: Next generation Debian package upload tool
License: GPLv2+ and MIT
URL:     http://dput-ng.debian.net/
Source0: http://httpredir.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz

BuildArch: noarch

BuildRequires: asciidoc
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-debian
BuildRequires: python-paramiko
#BuildRequires: python-sphinx

Requires: python2
Requires: python2-dput = %{version}-%{release}

%description
dput-ng is a Debian package upload tool which provides an easy to use
interface to Debian (like) package archive hosting facilities. It allows
anyone who works with Debian packages to upload their work to a remote
service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
package hosting facilities for Debian package maintainers.

dput-ng features many enhancements over dput, such as more comprehensive
checks, an easy to use plugin system, and code designed to handle the numerous
archives that any Debian package hacker will interact with.

dput-ng aims to be backwards compatible with dput in command-line flags,
configuration files, and expected behavior.

%package -n python2-dput
Summary: Python 2 library for dput-ng

Requires: python2
Requires: python-debian
Requires: python2-distro-info
#Requires: python-validictory
Requires: python-paramiko

%{?python_provide:%python_provide python2-dput}

%description -n python2-dput
Python 2 library for dput-ng.

%prep
%autosetup

%build
#make -C docs man
for man in docs/man/*.man
do
  a2x --doctype manpage --format manpage -D docs/man ${man}
done

python2 setup.py build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man5

cp -p bin/* %{buildroot}%{_bindir}
cp -pr skel/metas %{buildroot}%{_datadir}/%{name}
cp -pr skel/profiles %{buildroot}%{_datadir}/%{name}
cp -pr skel/hooks %{buildroot}%{_datadir}/%{name}
cp -pr skel/commands %{buildroot}%{_datadir}/%{name}
cp -pr skel/interfaces %{buildroot}%{_datadir}/%{name}
cp -pr skel/uploaders %{buildroot}%{_datadir}/%{name}
cp -pr skel/schemas %{buildroot}%{_datadir}/%{name}
cp -pr skel/codenames %{buildroot}%{_datadir}/%{name}
cp -p skel/README %{buildroot}%{_datadir}/%{name}
cp -p docs/man/*.1 %{buildroot}%{_mandir}/man1
cp -p docs/man/*.5 %{buildroot}%{_mandir}/man5

python2 setup.py install --root=%{buildroot}

%files
%doc FAQ README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/*/*

%files -n python2-dput
%{python2_sitelib}/dput
%{python2_sitelib}/dput*.egg-info

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Michael Kuhn <suraia@ikkoku.de> - 1.11-1
- Update to 1.11.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 04 2016 Michael Kuhn <suraia@ikkoku.de> - 1.10-3
- Explicitly require python2.
- Rename python-* packages to python2-*.
- Provide python-dput.

* Tue Dec 29 2015 Michael Kuhn <suraia@ikkoku.de> - 1.10-2
- Install metas and profiles to /use/share.
- Use %license for license text.

* Tue Sep 15 2015 Michael Kuhn <suraia@ikkoku.de> - 1.10-1
- Initial package.
